%define anolis_release 1
%global pypi_name fsspec
%global pypi_version 2023.6.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        A specification for pythonic filesystems.

License:        BSD
URL:            http://github.com/fsspec/filesystem_spec
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A specification for pythonic filesystems.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Recommends:       python3dist(adlfs)
Recommends:       ((python3dist(aiohttp) < 4~a1 or python3dist(aiohttp) > 4~a1) with (python3dist(aiohttp) < 4~a0 or python3dist(aiohttp) > 4~a0))
Recommends:       python3dist(dask)
Recommends:       python3dist(distributed)
Recommends:       python3dist(dropbox)
Recommends:       python3dist(dropboxdrivefs)
Recommends:       python3dist(fusepy)
Recommends:       python3dist(gcsfs)
Recommends:       python3dist(libarchive-c)
Recommends:       python3dist(ocifs)
Recommends:       python3dist(panel)
Recommends:       python3dist(paramiko)
Recommends:       python3dist(pyarrow) >= 1
Recommends:       python3dist(pygit2)
Recommends:       python3dist(pytest)
Recommends:       python3dist(pytest-cov)
Recommends:       python3dist(requests)
Recommends:       python3dist(s3fs)
Recommends:       python3dist(smbprotocol)
Recommends:       python3dist(tqdm)
%description -n python3-%{pypi_name}
A specification for pythonic filesystems.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon Sep 11 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 2023.6.0-1
- Initial package.
